Bug 1227714 - [RFE] Allow mom to run as standalone process
Summary: [RFE] Allow mom to run as standalone process
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mom
Version: 3.5.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Martin Sivák
QA Contact: Shira Maximov
URL:
Whiteboard:
Depends On: 1240640
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-03 11:16 UTC by Francesco Romani
Modified: 2019-10-10 09:54 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, MoM has now been separated from VDSM, and runs as a standalone process that communicates with VDSM using XML-RPC over a UNIX socket. This makes it possible to reduce the number of threads that VDSM creates, and results in almost no busy threads in MoM, resolving an issue with the Python global interpreter lock and improving performance on high-end machines such as those with 100 or more CPUs.
Clone Of:
Environment:
Last Closed: 2016-03-09 14:44:34 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0384 normal SHIPPED_LIVE mom bug fix and enhancement update 2016-03-09 19:07:42 UTC
oVirt gerrit 37294 master ABANDONED VDSM interface using JSON-RPC Never
oVirt gerrit 41570 master MERGED New hypervisor interface for remote VDSM over XML-RPC with stats caching Never
oVirt gerrit 41571 master MERGED Add support for KSM and CpuTune calls to XMLRPC for MOM to use Never
oVirt gerrit 41602 master MERGED Separate MOM to an external process Never
oVirt gerrit 42228 master MERGED Allow using unix socket for the RPC port Never
oVirt gerrit 42353 master MERGED Increase MOM intervals between stats and policy evaluation cycles Never
Red Hat Bugzilla 1182097 None CLOSED [RFE][scale] improve MOM performance 2019-10-10 10:07:27 UTC

Internal Links: 1182097

Description Francesco Romani 2015-06-03 11:16:21 UTC
MOM runs inside the VDSM process. We want to make it possible to run as standalone process, to the reduce the pressure on the python GIL.
Running MOM separately also make it easier to profile and to evaluate the performances of it, and also of VDSM.

Comment 1 Max Kovgan 2015-06-28 14:12:37 UTC
ovirt-3.6.0-3 release

Comment 2 Shira Maximov 2015-08-24 07:14:10 UTC
martin, please add steps to verify this bug

Comment 3 Roy Golan 2015-08-24 13:22:50 UTC
just to make sure, 3.6 mom installation is still a dependecy of the vdsm rpm or one needs to install mom separately?

Comment 4 Martin Sivák 2015-08-24 14:40:43 UTC
Shira: Just start VDSM and run any of your MOM scenarios (ballooning, ksm, …) + check whether there is a separate process running (using for example ps or systemctl status mom-vdsm).

Roy: VDSM still depends on mom via RPM dependency.

Comment 5 Shira Maximov 2015-08-25 09:11:25 UTC
Verified on : 
3.6.0-0.12.master.el6
vdsm-4.17.3-1.el7ev.noarch
vdsm-4.17.3-1.el7ev.noarch

i run the regular tests and check that the mom service is running :

[root@dhcp160-245 ~]# systemctl status mom-vdsm
● mom-vdsm.service - MOM instance configured for VDSM purposes
   Loaded: loaded (/usr/lib/systemd/system/mom-vdsm.service; disabled; vendor preset: enabled)
   Active: active (running) since Tue 2015-08-25 10:42:24 IDT; 14min ago
 Main PID: 9652 (python)
   CGroup: /system.slice/mom-vdsm.service
           └─9652 python /usr/sbin/momd -c /etc/vdsm/mom.conf

Comment 8 errata-xmlrpc 2016-03-09 14:44:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0384.html


Note You need to log in before you can comment on or make changes to this bug.